package com.muyu.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.muyu.domain.PositionRouteInfo;
import com.muyu.domain.model.PositionModel;

import java.util.List;

/**
 * @author DongZl
 * @description: 路径轨迹业务层
 * @Date 2023-11-20 上午 09:33
 */
public interface PositionRouteService extends IService<PositionRouteInfo> {


    /**
     * 根据轨迹ID获取轨迹详情
     * @param routeId 轨迹ID
     * @return 轨迹ID
     */
    public List<PositionModel> getPositionModelByRouteId(Long routeId);

    /**
     * 根据轨迹 编号查询 估计详情
     * @param positionCode 轨迹编号
     * @return
     */
    List<PositionModel> getPositionModelByRouteName (String positionCode);
}
